Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class ResourceRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.ResourceRef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ResourceRef

extends javax.naming.Reference

Represents a reference address to a resource.

Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AUTH` Auth address type.
`static java.lang.String` | `DEFAULT_FACTORY` Default factory for this reference.
`static java.lang.String` | `DESCRIPTION` Description address type.
`static java.lang.String` | `SCOPE` Scope address type.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`ResourceRef(java.lang.String resourceClass, java.lang.String description, java.lang.String scope, java.lang.String auth)` Resource Reference.
`ResourceRef(java.lang.String resourceClass, java.lang.String description, java.lang.String scope, java.lang.String auth, java.lang.String factory, java.lang.String factoryLocation)` Resource Reference.

Method Summary
`java.lang.String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.
`java.lang.String` | `toString()` Return a String rendering of this object.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Description address type.

  See Also:
    Constant Field Values

### SCOPE

    public static final java.lang.String SCOPE

  Scope address type.

  See Also:
    Constant Field Values

### AUTH

    public static final java.lang.String AUTH

  Auth address type.

  See Also:
    Constant Field Values

Constructor Detail

### ResourceRef

    public ResourceRef(java.lang.String resourceClass,
                       java.lang.String description,
                       java.lang.String scope,
                       java.lang.String auth)

  Resource Reference.

  Parameters:
    `resourceClass` - Resource class
    `scope` - Resource scope
    `auth` - Resource authetication

### ResourceRef

    public ResourceRef(java.lang.String resourceClass,
                       java.lang.String description,
                       java.lang.String scope,
                       java.lang.String auth,
                       java.lang.String factory,
                       java.lang.String factoryLocation)

  Resource Reference.

  Parameters:
    `resourceClass` - Resource class
    `scope` - Resource scope
    `auth` - Resource authetication

Method Detail

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

  Overrides:
    `getFactoryClassName` in class `javax.naming.Reference`

### toString

    public java.lang.String toString()

  Return a String rendering of this object.

  Overrides:
    `toString` in class `javax.naming.Reference`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.